[tracker] build: Use autoreconf instead gnome-common.sh
- From: Martyn James Russell <mr src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [tracker] build: Use autoreconf instead gnome-common.sh
- Date: Mon, 6 Dec 2010 12:21:46 +0000 (UTC)
commit e6ce7657258c87e3fe1fcf75bd6f3fb65a94e819
Author: Javier Jardón <jjardon gnome org>
Date: Sun Dec 5 11:08:38 2010 -0500
build: Use autoreconf instead gnome-common.sh
Fixes https://bugzilla.gnome.org/show_bug.cgi?id=636527
Makefile.am | 2 +-
autogen.sh | 35 +++++++++++++----------------------
2 files changed, 14 insertions(+), 23 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index 714043b..59d4cd1 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -97,4 +97,4 @@ DISTCHECK_CONFIGURE_FLAGS = \
--enable-tracker-status-icon \
--with-enca
-ACLOCAL_AMFLAGS = -I m4
+ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
diff --git a/autogen.sh b/autogen.sh
index f481f72..d7bf148 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,20 +3,8 @@
#
# NOTE: compare_versions() is stolen from gnome-autogen.sh
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-PKG_NAME="tracker"
-REQUIRED_AUTOMAKE_VERSION=1.11
REQUIRED_VALA_VERSION=0.11.2
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/README) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
-}
-
# Usage:
# compare_versions MIN_VERSION ACTUAL_VERSION
# returns true if ACTUAL_VERSION >= MIN_VERSION
@@ -40,18 +28,21 @@ compare_versions() {
# Vala version check
test -z "$VALAC" && VALAC=valac
VALA_VERSION=`$VALAC --version | cut -d" " -f2`
-echo $VALA_VERSION
+echo "Found Vala $VALA_VERSION"
if ! compare_versions $REQUIRED_VALA_VERSION $VALA_VERSION; then
- echo "**Error**: You must have valac >= $REQUIRED_VALA_VERSION installed to build $PKG_NAME, you have $VALA_VERSION"
+ echo "**Error**: You must have valac >= $REQUIRED_VALA_VERSION installed to build, you have $VALA_VERSION"
exit 1
fi
-# Automake requires that ChangeLog exist.
-touch ChangeLog
-
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
-}
-. gnome-autogen.sh
+# Generate required files
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+(
+ cd "$srcdir" &&
+ touch ChangeLog && # Automake requires that ChangeLog exist
+ gtkdocize &&
+ autopoint --force &&
+ AUTOPOINT='intltoolize --automake --copy' autoreconf --verbose --force --install
+) || exit
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]